//----------------------------------------------------------------------
//  Author: Thomas S. Ullrich (Feb 2005)
//
//  This file is part of hxBrowser.
//  
//  Description: Definition of the hxAlgorithmWindowImp class
//----------------------------------------------------------------------
#ifndef hxAlgorithmWindowImp_h
#define hxAlgorithmWindowImp_h

#include "hxAlgorithmWindow.h"

class StPhysicalHelix;
class hxCanvas;

class hxAlgorithmWindowImp : public hxAlgorithmWindow
{
    Q_OBJECT  
public:
    hxAlgorithmWindowImp(QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0);
    ~hxAlgorithmWindowImp();

    void setHelix(StPhysicalHelix*);
    void setCanvas(hxCanvas*);

public slots:
    void calculateDCAToPoint();
    void calculateIntersectionWithCylinder();
    void tabChanged(QWidget*);

protected:
    void closeEvent(QCloseEvent*);

private:
    StPhysicalHelix *mHelix;
    hxCanvas *mCanvas;
};
#endif
