//----------------------------------------------------------------------
//  Author: Thomas S. Ullrich (Feb 2005)
//
//  This file is part of hxBrowser.
//  
//  Description: Definition of the hxMainWindowImp class
//----------------------------------------------------------------------
#ifndef hxMainWindowImp_h
#define hxMainWindowImp_h

#include "hxMainWindow.h"
#include "StPhysicalHelix.h"

class hxAlgorithmWindowImp;
class hxSettingsDialog;

using namespace std;

class hxMainWindowImp : public hxMainWindow
{
        Q_OBJECT  
public:
    hxMainWindowImp( QWidget* parent = 0, const char* name = 0, WFlags fl = WType_TopLevel );
    ~hxMainWindowImp();

public slots:
    void applyPhysicalHelix();
    void applyMathematicalHelix();
    void helpAbout();
    void showAlgorithmWindow();
    void helpContents();
    void showSettings();
    void syncWithSettings();

protected:
    void displayMathematicalHelixParameters();
    void displayPhysicalHelixParameters();
    void keyPressEvent(QKeyEvent*);

private:
    StPhysicalHelix *mHelix;
    hxAlgorithmWindowImp *mAlgorithmWindow;
    hxSettingsDialog *mSettingsDialog;
};
#endif
