//----------------------------------------------------------------------
//  Author: Thomas S. Ullrich (Feb 2005)
//
//  This file is part of hxBrowser.
//  
//  Description: Implementation of hxSettings class
//----------------------------------------------------------------------
#include "hxSettings.h"
#include "SystemOfUnits.h"

hxSettings* hxSettings::mInstance = 0;

hxSettings* hxSettings::instance()
{
    if (mInstance == 0)
        mInstance = new hxSettings;
    return mInstance;
}

hxSettings::hxSettings() 
{
    mMaxRForHelixDrawing.setValue(2.2*meter);
    mMaxRForHelixDrawing.setDescription("Max R of helix to draw");

    mMaxZForHelixDrawing.setValue(2*meter);
    mMaxZForHelixDrawing.setDescription("Max |z| of helix to draw");

    mHelixDrawingSegmentSize.setValue(5*millimeter);
    mHelixDrawingSegmentSize.setDescription("Helix drawing segment size");

    mMaxHelixLength.setValue(100*meter); 
    mMaxHelixLength.setDescription("Max helix length");

    m3DPointSegmentLength.setValue(centimeter);
    m3DPointSegmentLength.setDescription("Length of line segments depicting 3D points");

    mCylinderLength.setValue(4*meter);
    mCylinderLength.setDescription("Length of cylinder depicted");

    mNumberOfCylinderSlices.setValue(360);
    mNumberOfCylinderSlices.setDescription("Number of subdivisions (slices) of cylinder around the z-axis");
 
    mNumberOfCylinderStacks.setValue(20);
    mNumberOfCylinderStacks.setDescription("Number of subdivisions (stacks) of cylinder along the z-axis");

    mAnglesInDegree.setValue(false);
    mAnglesInDegree.setDescription("Angles in degree");

}