//----------------------------------------------------------------------
//  Author: Thomas S. Ullrich (Dec 2004)
//
//  This file is part of hxBrowser.
//  
//  Description: Definition of the hxSettingsDialog class
//----------------------------------------------------------------------
#ifndef hxSettingsDialog_h
#define hxSettingsDialog_h

#include <qdialog.h>
#include <qlistview.h>
#include "hxSettings.h"

class QPushButton;

class hxSettingsDialog : public QDialog
{
    Q_OBJECT
public:
    hxSettingsDialog(QWidget *parent = 0, const char *name = 0, bool modal = true);

public slots:
    void applyAndClose();
    void restoreAndClose();

protected:
    template<class T> void setupChangableItem(hxParameter<T>&, QListViewItem*);

private:
    QListView    *mListView;
    QPushButton  *mOkButton;
    QPushButton  *mCancelButton;
};

template<class T> inline void hxSettingsDialog::setupChangableItem(hxParameter<T>& par, QListViewItem* parent)
{
    QListViewItem *item = new QListViewItem(parent,  
        par.description(), par.svalue(), par.svalue()); 
    par.setListViewItem(item);
    item->setRenameEnabled(2, true);
}
#endif
