//----------------------------------------------------------------------
//  Author: Thomas S. Ullrich (Feb 2005)
//
//  This file is part of hxBrowser.
//  
//  Description: Main program
//----------------------------------------------------------------------
#include <qapplication.h>
#include <qlabel.h>
#include <string>
#if !defined(WIN32)
#include <iostream>
#endif
#include "hxMainWindowImp.h"
#include "hxVersion.h"

using namespace std;

int main( int argc, char ** argv )
{
#if !defined(WIN32)    
    // Handle command line options
    for (int i=1; i<argc; i++) {
        if (std::string(argv[i]) == std::string("-v") || 
            std::string(argv[i]) == std::string("-V") ||
            std::string(argv[i]) == std::string("--version")) {
                cout << "hxBrowser version: " << VERSION << endl;
                return 0;
            }
    }
#endif    
    QApplication app( argc, argv );

    hxMainWindowImp window;
    app.setMainWidget(&window);
    
    window.show();
    
    app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
    return app.exec();
}